Panduan pembalasan.id
Inboxes

Add or remove agent bot

POST
/api/v1/accounts/{account_id}/inboxes/{id}/set_agent_bot

To add an agent bot pass agent_bot id, to remove agent bot from an inbox pass null

Authorization

userApiKey
api_access_token<token>

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

In: header

Path Parameters

account_id*integer

The numeric ID of the account

id*number

ID of the inbox

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/accounts/0/inboxes/0/set_agent_bot" \  -H "Content-Type: application/json" \  -d '{    "agent_bot": 1  }'
Empty
{
  "description": "string",
  "errors": [
    {
      "field": "string",
      "message": "string",
      "code": "string"
    }
  ]
}
{
  "description": "string",
  "errors": [
    {
      "field": "string",
      "message": "string",
      "code": "string"
    }
  ]
}